@extends('pages.packages.package_layout')
@section('custom_script')
    @include('pages.packages.declaration_script', ['jsonStructure' => $jsonStructure])
@endsection
@section('subpage')
    <div class="row">
        <div class="col-md-3 col-sm-12 p-0">
            {!! view('pages.packages.package_menu', ['is_onpacking' => 1, 'countPackages' => $countPackages]) !!}
        </div>
        <div class="col-md-9 mb-4 bg-white p-3 border">
            <div class="min-height-300">
                <h4 class="d-flex justify-content-between align-items-center mb-3">
                    <span class="text-muted">Пакующиеся посылки</span>
                    <span><a href="{{ url('/packages/register') }}" class="btn btn-light btn-outline-success"><strong>Зарегистрировать новую посылку</strong></a> </span>
                </h4>
                <div class="py-2">
                    <img class="mr-4 float-left" src="{{ url('images/ship/packing.png') }}" alt="" width="100" height="100">
                    <p class="">Когда вы выбрали какие посылки отправить на упаковку статус посылки меняется с "На складе" на "Пакуется", мы взвешиваем посылки и списываем с вашего счета стоимость за доставку. После этого мы отправляем посылку в Ташкент статус в этом случае меняется на "Отправлено"</p>
                </div>
                <table class="table table-light table-hover table-bordered table-sm">
                    <thead class="thead-light">
                    <tr>
                        <th>№</th>
                        <th>Статус</th>
                        <th>Трек №</th>
                        <th>Количество товаров</th>
                        <th>Стоимость товаров</th>
                        <th>Вес</th>
                        <th>Стоимость доставки</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($packages as $package)
                        <tr>
                            <td class="text-center">{{ $package->package_number() }}</td>
                            <td class="text-center"><span class="badge badge-primary">{{ \App\Models\Package::$statuses_descr[$package->status] }}</span></td>
                            <td><a href="#" class="text-info"> {{ $package->track_number }} </a></td>
                            <td class="d-flex justify-content-between align-items-center">
                                <span class="badge badge-primary badge-pill">{{ $package->total_items() }}</span>
                                <a href="#" onclick="showModal({{ $package->id }})">Декларация</a>
                            </td>
                            <td class="text-center">${{ $package->items_cost() }}</td>
                            <td class="text-center">{{ $package->items_weight() }} кг</td>
                            <td class="text-center">{{ $package->delivery_cost }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>

@endsection